Subject: bug#34833: closed (Re: bug#34833: Package search warning about newt)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 12 Mar 2019 22:53:02 +0000

Your bug report

#34833: Package search warning about newt

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
34833: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=34833
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#34833: Package search warning about newt
From: Ludovic Courtès <[email-masked]>
To: mikadoZero <[email-masked]>
Cc: [email-masked]
Date: Tue, 12 Mar 2019 23:52:13 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

mikadoZero <[email-masked]> skribis:

> guix describe:
>
> guix 1bc24bb
>     repository URL: https://git.savannah.gnu.org/git/guix.git
>     branch: master
>     commit: 1bc24bbf00e21a26d9eb71e5c89d941812dcdad7
>
> I have just started getting warning about newt when I search for
> packages.  For example `guix package -s iproute` outputs this:
>
> guix package: warning: failed to load '(gnu build svg)':
> no code for module (rsvg)
> guix package: warning: failed to load '(gnu installer final)':
> no code for module (newt)

My bad, fixed in 3f4f2ee404d328cbfb846aa18aafa33ee6ae3cff.

Thanks!

Ludo’.

Subject: Package search warning about newt
From: mikadoZero <[email-masked]>
To: [email-masked]
Date: Tue, 12 Mar 2019 17:28:37 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

guix describe:

guix 1bc24bb
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: 1bc24bbf00e21a26d9eb71e5c89d941812dcdad7

I have just started getting warning about newt when I search for
packages.  For example `guix package -s iproute` outputs this:

guix package: warning: failed to load '(gnu build svg)':
no code for module (rsvg)
guix package: warning: failed to load '(gnu installer final)':
no code for module (newt)
guix package: warning: failed to load '(gnu installer newt ethernet)':
no code for module (newt)
guix package: warning: failed to load '(gnu installer newt final)':
no code for module (parted)
guix package: warning: failed to load '(gnu installer newt keymap)':
no code for module (newt)
guix package: warning: failed to load '(gnu installer newt locale)':
no code for module (newt)
guix package: warning: failed to load '(gnu installer newt menu)':
no code for module (newt)
guix package: warning: failed to load '(gnu installer newt network)':
no code for module (newt)
guix package: warning: failed to load '(gnu installer newt partition)':
no code for module (newt)
guix package: warning: failed to load '(gnu installer newt services)':
no code for module (newt)
guix package: warning: failed to load '(gnu installer newt timezone)':
no code for module (newt)
guix package: warning: failed to load '(gnu installer newt user)':
no code for module (newt)
guix package: warning: failed to load '(gnu installer newt welcome)':
no code for module (newt)
guix package: warning: failed to load '(gnu installer newt)':
no code for module (newt)
random seed for tests: 1552442151
guix package: warning: failed to load '(guix man-db)':
no code for module (gdbm)
name: iproute2
version: 4.20.0
outputs: out
systems: x86_64-linux i686-linux armhf-linux aarch64-linux mips64el-linux
dependencies: [email-masked] [email-masked] [email-masked] [email-masked] [email-masked]
location: gnu/packages/linux.scm:1254:2
homepage: https://wiki.linuxfoundation.org/networking/iproute2
license: GPL 2+
synopsis: Utilities for controlling TCP/IP networking and traffic in Linux  
description: Iproute2 is a collection of utilities for controlling TCP/IP
+ networking and traffic with the Linux kernel.  The most important of these are
+ `ip', which configures IPv4 and IPv6, and `tc' for traffic control.
+ 
+ Most network configuration manuals still refer to ifconfig and route as the
+ primary network configuration tools, but ifconfig is known to behave inadequately
+ in modern network environments, and both should be deprecated.
relevance: 6

name: ghc-iproute
version: 1.7.5
outputs: out
systems: x86_64-linux i686-linux
dependencies: [email-masked] [email-masked] [email-masked]
+ [email-masked]
location: gnu/packages/haskell.scm:2834:2
homepage: https://www.mew.org/~kazu/proj/iproute/
license: Modified BSD
synopsis: IP routing table  
description: IP Routing Table is a tree of IP ranges to search one of them on the
+ longest match base.  It is a kind of TRIE with one way branching removed.  Both
+ IPv4 and IPv6 are supported.
relevance: 4